from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.form.binding import XListEntrySource

@runtime_checkable
class XListEntryTypedSource(XListEntrySource, Protocol):
    def getAllListEntriesTyped(self, DataValues: sequence< any >) -> list[str]: ...
